import { ElementRef, NgZone, Renderer2 } from '@angular/core';
import { atTabPositionMode } from './at-tabset.component';
export declare function cancelRequestAnimationFrame(id: number): any;
export declare const reqAnimFrame: typeof requestAnimationFrame;
export declare class AtTabsInkBarDirective {
    private renderer;
    private elementRef;
    private ngZone;
    private _animated;
    atAnimated: boolean;
    atPositionMode: atTabPositionMode;
    constructor(renderer: Renderer2, elementRef: ElementRef, ngZone: NgZone);
    alignToElement(element: HTMLElement): void;
    show(): void;
    setDisplay(value: string): void;
    getLeftPosition(element: HTMLElement): string;
    getElementWidth(element: HTMLElement): string;
    getTopPosition(element: HTMLElement): string;
    getElementHeight(element: HTMLElement): string;
}
